<?php defined( 'ABSPATH' ) or die( 'Nothing to see here.' ); // Security (disable direct access).

if ( ! class_exists( 'JTP_Bad_UX_Popup_Front' ) ) {

    class JTP_Bad_UX_Popup_Front extends JTP_Bad_UX_Popup_Basic {

        public static function init() {

            return new self();

        }

        public function __construct() {

            add_action( 'wp_footer', array( $this, 'show' ) );

        }

        public function show() {

            $type   = ( $this->is_mobile() ? 'mobile' : 'pc' );
            $list   = $this->get_list( 'publish', $type );
            $config = $this->get_config();

            if ( ! ( is_home() || is_front_page() ) ) {

                $list = array_filter( $list, function ( $arr ) {

                    return ( $this->is_set( $_COOKIE[ 'jt_popup_' . $arr[ 'id' ] ], '' ) != 'today_none' && in_array( get_the_ID(), $arr[ 'post_ids' ] ) );

                } );

            } else {

                $list = array_filter( $list, function ( $arr ) {

                    return ( $this->is_set( $_COOKIE[ 'jt_popup_' . $arr[ 'id' ] ], '' ) != 'today_none' && empty( $arr[ 'post_ids' ] ) );

                } );

            }

            if ( $this->is_set( $_REQUEST[ 'jt-nopopup' ] ) == 'Y' ) {

                $list = array();

            }

            if ( count( $list ) > 0 ) {

                wp_enqueue_style( 'JTPOP-popup-show', JTP_BAD_UX_POPUP_URL . '/css/jt-popup-show.css', null, '1.1.4' );
                wp_enqueue_style( 'JTPOP-font-awesome', JTP_BAD_UX_POPUP_URL . '/css/font-awesome.min.css', null, '4.1.0' );
                wp_enqueue_style( 'slick', JTP_BAD_UX_POPUP_URL . '/css/vendors/slider/slick/slick.css', array(), '1.6.0');

                wp_enqueue_script( 'jquery-ui-draggable' );
                wp_enqueue_script( 'JTPOP-jquery-cookie', JTP_BAD_UX_POPUP_URL . '/js/jquery.cookie.js', array( 'jquery' ), '1.4.0', true );
                wp_enqueue_script( 'JTPOP-touchswipe', JTP_BAD_UX_POPUP_URL . '/js/jquery.touchSwipe.min.js', array(), '1.6', true );
                wp_enqueue_script( 'JTPOP-imageloaded', JTP_BAD_UX_POPUP_URL . '/js/imagesloaded.pkgd.min.js', array( 'jquery' ), '3.1.8', true );
                wp_enqueue_script( 'JTPOP-show-script', JTP_BAD_UX_POPUP_URL . '/js/jt-popup-show.js', array( 'jquery', 'JTPOP-jquery-cookie' ), '1.1.7', true );
                wp_enqueue_script( 'slick', JTP_BAD_UX_POPUP_URL . '/js/vendors/slider/slick/slick.min.js', array('jquery'), '1.6.0', true);

                $template = 'bad-ux-popup-' . $type . '.php';

                // Include list Custom Template if exist.
                $template_path   = TEMPLATEPATH . '/' . $template;

                if ( ! file_exists( $template_path ) ) {

                    $template_path = JTP_BAD_UX_POPUP_PATH . 'templates/' . $template;

                }

                ob_start();

                include $template_path;
                $output = ob_get_contents();

                ob_end_clean();

                echo $output;

            }

        }

    }

}

if ( method_exists( 'JTP_Bad_UX_Popup_Front', 'init' ) ) { JTP_Bad_UX_Popup_Front::init(); }